org.eclipse.oomph.setup

## Interface User

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    UserImpl

      public interface User
      extends Scope

  A representation of the model object 'Preferences'.

  The following features are supported:

  - `Attribute Rules`
  - `Accepted Licenses`
  - `Unsigned Policy`
  See Also:
    `SetupPackage.getUser()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<LicenseInfo>` | `getAcceptedLicenses()` Returns the value of the 'Accepted Licenses' attribute list.
    `EList<AttributeRule>` | `getAttributeRules()` Returns the value of the 'Attribute Rules' containment reference list.
    `UnsignedPolicy` | `getUnsignedPolicy()` Returns the value of the 'Unsigned Policy' attribute.
    `void` | `setUnsignedPolicy(UnsignedPolicy value)` Sets the value of the '`Unsigned Policy`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAcceptedLicenses

          EList<LicenseInfo> getAcceptedLicenses()

      Returns the value of the 'Accepted Licenses' attribute list. The list contents are of type `LicenseInfo`.

      If the meaning of the 'Accepted Licenses' attribute list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Accepted Licenses' attribute list.
      See Also:
        `SetupPackage.getUser_AcceptedLicenses()`
      Generated
      Model
        dataType="org.eclipse.oomph.setup.LicenseInfo" extendedMetaData="name='acceptedLicense'"

    - #### getUnsignedPolicy

          UnsignedPolicy getUnsignedPolicy()

      Returns the value of the 'Unsigned Policy' attribute. The default value is `"PROMPT"`. The literals are from the enumeration `UnsignedPolicy`.

      If the meaning of the 'Unsigned Policy' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Unsigned Policy' attribute.
      See Also:
        `UnsignedPolicy`, `setUnsignedPolicy(UnsignedPolicy)`, `SetupPackage.getUser_UnsignedPolicy()`
      Generated
      Model
        default="PROMPT"

    - #### setUnsignedPolicy

          void setUnsignedPolicy(UnsignedPolicy value)

      Sets the value of the '`Unsigned Policy`' attribute.
      Parameters:
        `value` - the new value of the 'Unsigned Policy' attribute.
      See Also:
        `UnsignedPolicy`, `getUnsignedPolicy()`
      Generated

    - #### getAttributeRules

          EList<AttributeRule> getAttributeRules()

      Returns the value of the 'Attribute Rules' containment reference list. The list contents are of type `AttributeRule`.

      If the meaning of the 'Attribute Rules' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Attribute Rules' containment reference list.
      See Also:
        `SetupPackage.getUser_AttributeRules()`
      Generated
      Model
        containment="true" resolveProxies="true" keys="attributeURI" extendedMetaData="name='attributeRule'"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html